Update Q&A message
curl --request PATCH \
--url https://api.getfernand.com/organization/rag/sources/questions/{message_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"questions": [
"How do I reset my password?"
],
"answer": "To reset your password..."
}
'import requests
url = "https://api.getfernand.com/organization/rag/sources/questions/{message_id}"
payload = {
"questions": ["How do I reset my password?"],
"answer": "To reset your password..."
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
questions: ['How do I reset my password?'],
answer: 'To reset your password...'
})
};
fetch('https://api.getfernand.com/organization/rag/sources/questions/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/organization/rag/sources/questions/{message_id}"
payload := strings.NewReader("{\n \"questions\": [\n \"How do I reset my password?\"\n ],\n \"answer\": \"To reset your password...\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/organization/rag/sources/questions/{message_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
request.AddJsonBody("{\n \"questions\": [\n \"How do I reset my password?\"\n ],\n \"answer\": \"To reset your password...\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.patch("https://api.getfernand.com/organization/rag/sources/questions/{message_id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"questions\": [\n \"How do I reset my password?\"\n ],\n \"answer\": \"To reset your password...\"\n}")
.asString();{}{
"error": "<string>"
}Update Q&A message
PATCH
/
organization
/
rag
/
sources
/
questions
/
{message_id}
Update Q&A message
Updates an existing Q&A source that was created from a conversation message. If the source doesn’t exist yet, it will be created. This allows editing auto-generated Q&A pairs.
Authorizations
Path Parameters
ID of the message to update.
Body
application/json
Response
Q&A source queued for update.
The response is of type object.
Was this page helpful?
⌘I